<?php
// +-----------------------------------------------------------------------+
// | PiwiShack - a Piwigo Plugin                                           |
// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

add_event_handler('init', 'piwishack_init');

function piwishack_init()
{
  // Rights are now checked in initialize_event_handler(), 
  //  and depends on configuration (admin, members, all)
  $plugin_name = basename(dirname(__FILE__));
  $plugin_path = dirname(__FILE__).'/';

  include_once($plugin_path.'class.inc.php');

  // Create object
  $piwishack = new PiwiShack($plugin_name, $plugin_path);
  set_plugin_data($piwishack->plugin_name, $piwishack);
  $piwishack->load_config();
  
  add_event_handler('get_admin_plugin_menu_links', array(&$piwishack, 'plugin_admin_menu') );
  set_plugin_data('piwishack', $piwishack);    
}


?>